Bug 21429 - USB UCHI device driver infinite loop
Summary: USB UCHI device driver infinite loop
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-28 16:33 UTC by j. alan eldridge
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-03 17:54:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description j. alan eldridge 2000-11-28 16:33:22 UTC
device driver does not correctly handle modem disconnect from ACM driver.
see bug 20945 for another, less severe (?) symptom of the same underlying
problem.

thiu morning i had 650MB of these messages in /var/log/messages:

Nov 28 10:39:43 wozzle kernel: usb-uhci-debug.h:    TD Link Terminate
Nov 28 10:39:43 wozzle kernel: usb-uhci-debug.h:   TD @ cf4589a0/0F4589A0,
MaxLe
n=3f DT1 EP=6 Dev=3 PID=( IN  ) buf=0c51d4a0
Nov 28 10:39:44 wozzle kernel: usb-uhci-debug.h:     Len=7ff e0 IOC Stalled
CRC/
Timeo 
Nov 28 10:39:44 wozzle kernel: usb-uhci-debug.h:    TD Link Terminate
Nov 28 10:39:44 wozzle kernel: usb-uhci-debug.h:   TD @ cf4588e0/0F4588E0,
MaxLe
n=3f DT1 EP=6 Dev=3 PID=( IN  ) buf=0c51d4a0
Nov 28 10:39:44 wozzle kernel: usb-uhci-debug.h:     Len=7ff e0 IOC Stalled
CRC/
Timeo 

syslog had the CPU load pinned, and not even disconnecting the modem's USB
cable would stem the flow of the log reports. 

the saga continues: 

on reboot (w/o powerdown), the USB devices were still messed up in some
way: the mouse was recognized (present in /proc/bus/usb/devices), but the
mouse driver (HID) did not load. 

this of course made X very unhappy. i logged in on VC1 and shut the system
down, and was greeted by an infinite loop of:

iput: inode 00:02/536871171 count wrapped

at this point i had no recourse but to cycle the power on the machine. once
back up, everything seems ok again.

i did not yet track down the nature of the iput error; that large number is
just completely from mars (it's > ULONG_MAX).

Comment 1 j. alan eldridge 2000-11-28 16:40:16 UTC
Whoa! TYPO ALERT! 6.5M, not 650M! About 3 hours worth, *not* 300 hours. sorry
'bout that.


Comment 2 Pete Zaitcev 2002-06-03 17:54:06 UTC
USB support in 2.2 based releases was limited to keyboards and mice.
Can I close or do you want to move to a more recent release?
Current is 7.3.


Comment 3 Pete Zaitcev 2002-07-23 02:31:51 UTC
Apparently, requestor lost interest. Closing.



Note You need to log in before you can comment on or make changes to this bug.